var $AdfDhtmlContextInfoPeer$$ = $AdfRichUIPeer$$.$createPeerClass$($AdfRichUIPeer$$, "AdfDhtmlContextInfoPeer");
$goog$exportSymbol$$("AdfDhtmlContextInfoPeer", $AdfDhtmlContextInfoPeer$$);
$AdfDhtmlContextInfoPeer$$.$InitSubclass$ = function $$AdfDhtmlContextInfoPeer$$$$InitSubclass$$() {
  $AdfRichUIPeer$$.$addComponentEventHandlers$(this, $AdfUIInputEvent$$.$CLICK_EVENT_TYPE$, $AdfUIInputEvent$$.$KEY_UP_EVENT_TYPE$);
};
$goog$exportSymbol$$("AdfDhtmlContextInfoPeer.InitSubclass", $AdfDhtmlContextInfoPeer$$.$InitSubclass$);
$AdfDhtmlContextInfoPeer$$.prototype.$HandleComponentClick$ = function $$AdfDhtmlContextInfoPeer$$$$$HandleComponentClick$$($componentEvent$$185$$) {
  var $component$$1035$$ = this.$getComponent$();
  $componentEvent$$185$$.$isLeftButtonPressed$() && $AdfContextInfoEvent$$.$queue$($component$$1035$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlContextInfoPeer.prototype.HandleComponentClick", {$HandleComponentClick$:$AdfDhtmlContextInfoPeer$$.prototype.$HandleComponentClick$});
$AdfDhtmlContextInfoPeer$$.prototype.$HandleComponentKeyUp$ = function $$AdfDhtmlContextInfoPeer$$$$$HandleComponentKeyUp$$($componentEvent$$186$$) {
  var $component$$1036$$ = this.$getComponent$();
  $componentEvent$$186$$.$getKeyCode$() == $AdfKeyStroke$$.$SPACE_KEY$ && $AdfContextInfoEvent$$.$queue$($component$$1036$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlContextInfoPeer.prototype.HandleComponentKeyUp", {$HandleComponentKeyUp$:$AdfDhtmlContextInfoPeer$$.prototype.$HandleComponentKeyUp$});
